<?xml version="1.0" encoding="UTF-8"?> 
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
	  <xsl:element name="BrainData">
	  	<xsl:element name="Thoughts">
	  	  <xsl:apply-templates select="map/node"/>
	  	</xsl:element>
	  </xsl:element>
	</xsl:template>
	<xsl:template match="node">
		<xsl:element name="Thought">
			<xsl:element name="guid">
   	 		<xsl:value-of select="@ID"/>
   	 	</xsl:element>
			<xsl:element name="name">
				<xsl:value-of select="@TEXT"/>
			</xsl:element>
			<xsl:element name="thoughtTextColor">
				<xsl:value-of select="@COLOR"/>
			</xsl:element>
			<xsl:element name="creationDateTime">
				<xsl:value-of select="@CREATED"/>
			</xsl:element>			
			<xsl:element name="activationDateTime">
				<xsl:value-of select="@MODIFIED"/>
			</xsl:element>
			<xsl:element name="notes">
				<xsl:value-of select="richcontent"/>
			</xsl:element>
			<xsl:if test="icon">
				<xsl:element name="icon">
					<xsl:value-of select="icon/@BUILTIN"/>
				</xsl:element>
			</xsl:if>
			<xsl:if test="arrowlink">
				<xsl:element name="relationship">
					<xsl:element name="guidB">
						<xsl:value-of select="arrowlink/@DESTINATION"/>
					</xsl:element>
					<xsl:element name="linkId">
						<xsl:value-of select="arrowlink/@ID"/>
					</xsl:element>
				</xsl:element>
			</xsl:if>
			<xsl:element name="thoughtUrl">
				<xsl:value-of select="@LINK"/>
			</xsl:element>
		  <xsl:apply-templates select="node"/>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>