<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:ve="http://schemas.openxmlformats.org/markup-compatibility/2006"
     xmlns:o="urn:schemas-microsoft-com:office:office" 
     xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships" 
     xmlns:m="http://schemas.openxmlformats.org/officeDocument/2006/math" 
     xmlns:v="urn:schemas-microsoft-com:vml" 
     xmlns:wp="http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing" 
     xmlns:w10="urn:schemas-microsoft-com:office:word" 
     xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main" 
     xmlns:wne="http://schemas.microsoft.com/office/word/2006/wordml">     
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<xsl:element name="BrainData">
			<xsl:element name="Thoughts">
				<xsl:apply-templates select="w:document/w:body/w:p"/>
			</xsl:element> 
		</xsl:element>
	</xsl:template>
	<xsl:template match="w:p">
		<xsl:choose>
			<xsl:when test="w:pPr/w:pStyle/@w:val">
				<xsl:if test="w:r/w:t">
					<xsl:element name="Thought">
						<xsl:element name="name">
							<xsl:for-each select="w:r/w:t">
								<xsl:value-of select="."/>
								<xsl:value-of select="' '"/>
							</xsl:for-each>
						</xsl:element>
						<xsl:element name="level">
							<xsl:value-of select="w:pPr/w:numPr/w:ilvl/@w:val"/>
						</xsl:element>
						<xsl:element name="level2">
							<xsl:value-of select="w:pPr/w:pStyle/@w:val"/>
						</xsl:element>
					</xsl:element>	
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:element name="LastThoughtNotes">
					<xsl:for-each select="w:r/w:t">
						<xsl:value-of select="."/>
						<xsl:value-of select="' '"/>
					</xsl:for-each>
				</xsl:element>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
